Page MenuHomePhabricator

[epic] Integrate processing in Brazil via Astropay
Closed, ResolvedPublic

Description

Requirements, to continue to be refined:

Forms

  • Should not use iframe, but rather we control the page
  • Fields should be:
  • logo required? how will we be linking?

Processing

  • Can accept donations in
    • Brazil
    • Mexico
    • Argentina
    • Uruguay
    • Paraguay
    • Colombia
    • Chile
  • Bank/CC statement must say "Wikimedia"
  • Accepted payment methods
    • Credit card
    • Bank transfer
    • Boletos
    • (future phase?) "cash"

Data collection

  • Most transactions should come through realtime(?)
  • Nightly audit should capture refunds, chargebacks, what else??

Donor Services

  • Can perform refunds in console
  • Can search by email, name, what else?

Potential milestones

  1. Ready for internal testing (T90500, T90501, T90502, T90503, T90504, T90505).
  2. Ready for donor testing (T90505, T90506, T90507, T90508).
  3. Ready for full campaign (iterate on code and processor stability).

Related Objects

Event Timeline

atgo created this task.Dec 8 2014, 8:57 PM
atgo raised the priority of this task from to High.
atgo updated the task description. (Show Details)
atgo added a project: Fundraising-Backlog.
atgo changed Security from none to None.
atgo moved this task from Triage to Closed Sprint Work Q1 1516 on the Fundraising-Backlog board.
atgo added a subscriber: atgo.
Ppena added a subscriber: Ppena.Jan 17 2015, 1:30 AM
atgo updated the task description. (Show Details)Jan 29 2015, 7:23 PM
atgo updated the task description. (Show Details)Jan 31 2015, 1:02 AM
awight updated the task description. (Show Details)Feb 19 2015, 7:09 PM
awight updated the task description. (Show Details)Feb 23 2015, 11:14 PM
atgo renamed this task from Integrate processing in LATAM to Integrate processing in LATAM via Astropay.Mar 30 2015, 10:03 PM
atgo renamed this task from Integrate processing in LATAM via Astropay to Integrate processing in Brazil via Astropay.Jun 11 2015, 10:49 PM
atgo renamed this task from Integrate processing in Brazil via Astropay to [epic] Integrate processing in Brazil via Astropay.Jun 12 2015, 5:18 PM
atgo closed this task as Resolved.Aug 7 2015, 11:34 PM
atgo claimed this task.